Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Build is not working #3223

Closed
mpat260 opened this issue Nov 2, 2017 · 18 comments
Closed

Build is not working #3223

mpat260 opened this issue Nov 2, 2017 · 18 comments
Labels

Comments

@mpat260
Copy link

@mpat260 mpat260 commented Nov 2, 2017

Details

Expected Result

A description of what you wanted to happen
When the 'Button Version' is pressed, the following error is shown
"This API endpoint is deprecated"

Actual Result

A description of what actually happened

Also, if I change something in the settings e.g. Python2.x to Python3.x, then automatic-cloning starts and update the document correctly.

I tried using both GitHub and Bitbucket. The problem is the same.

@mpat260
Copy link
Author

@mpat260 mpat260 commented Nov 4, 2017

If I pull this git-project to existing "readthedocs-projects" by changing the "git url", then it is working fine.

But, build is not working for the newly created "ReadTheDoc-projects" for the same git-project

@mpat260
Copy link
Author

@mpat260 mpat260 commented Nov 4, 2017

Auto-trigger from github is working now...
But, manual build is not working.

@mpat260
Copy link
Author

@mpat260 mpat260 commented Nov 9, 2017

It is the problem with all the newly-created ReadTheDocs-projects.

  1. If the new git-project is loaded to old ReadTheDocs project, then it works fine.
  2. Similarly, if working-git project on ReadTheDocs is loaded to new ReadTheDocs, then auto-trigger and builds are not working.

@webzakimbo
Copy link

@webzakimbo webzakimbo commented Nov 15, 2017

Brand new user here, but the problem persists.

I have a new project, never built, I click "build" from the website and I get "This API endpoint is deprecated"

@mpat260
Copy link
Author

@mpat260 mpat260 commented Nov 15, 2017

@webzakimbo

Go to admin and press submit. It will build your project at this moment.

@srpearce
Copy link

@srpearce srpearce commented Nov 20, 2017

Thanks, @Mekrip! I've run into the same problem and this workaround is great. I hope RTD fixes whatever is causing this problem, though.

@debchatigny
Copy link

@debchatigny debchatigny commented Nov 20, 2017

@agjohnson - any thoughts or update on this issue? We're experiencing it as well.

@kakulukia
Copy link

@kakulukia kakulukia commented Nov 29, 2017

i kinda tracked the problem down to the fairly new code:

if not _allow_deprecated_webhook(project):
    return HttpResponse('This API endpoint is deprecated', status=403)

@agjohnson what is it doing? Why is it breaking RTDs build button for new projects?
Why would a new project need a deprecated webhook?

@kakulukia
Copy link

@kakulukia kakulukia commented Nov 29, 2017

I was even able to fix it on my self hosted instance:
http://rtd/admin/projects/feature/1/change/
Add your project to the list.

But im still wondering why new projects are broken by default - BUG!

@humitos
Copy link
Member

@humitos humitos commented Nov 29, 2017

@kakulukia
Copy link

@kakulukia kakulukia commented Nov 29, 2017

so looks like its fixed now and can be closed (@Mekrip) .. but this also means i should better not update my instance or i will loose my cron-checks-for-new-commits-and-starts-a-build feature because of this :)

@dearmond
Copy link

@dearmond dearmond commented Nov 29, 2017

It doesn't look like it's fixed on readthedocs.org. My builds are still not building:

https://readthedocs.org/projects/sitefarm/

@kakulukia
Copy link

@kakulukia kakulukia commented Nov 29, 2017

its only fixed in the sites repo - i dont know how fast they are pushing their code to the live site and since tey are not using tags or branches (in a recognizable manner) somebody else has to say how up to date the live site is

@kakulukia
Copy link

@kakulukia kakulukia commented Nov 29, 2017

and for anyone feeling responsible for the branches like @humitos - have a cup of coffee and read this: https://railsware.com/blog/2014/08/11/git-housekeeping-tutorial-clean-up-outdated-branches-in-local-and-remote-repositories/

@mpat260
Copy link
Author

@mpat260 mpat260 commented Nov 30, 2017

Manual-Build is working fine. But the automatic-triggering from the GitHub/Bitbucket is not working for the Build.

@humitos
Copy link
Member

@humitos humitos commented Nov 30, 2017

I'm a bit lost here.

@Mekrip so, original problem is solved?

If you are experimenting a different problem from the original, please close the ticket and create a new one for the new issue. Thanks!

@mpat260
Copy link
Author

@mpat260 mpat260 commented Dec 1, 2017

@humitos
Copy link
Member

@humitos humitos commented Dec 1, 2017

This seems to be the original problem:

When the 'Button Version' is pressed, the following error is shown
"This API endpoint is deprecated"

and the same description of the issue, you mentioned a workaround.

I'm going to close this since the Build button is working properly now.

Please, feel fre to create a new issue for "build is not working automatically" using the template and exaplaining what it's happening to you. Thanks!

@humitos humitos closed this Dec 1, 2017
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
8 participants